summaryrefslogtreecommitdiff
path: root/scripts/ci_sanity/Dockerfile
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ci_sanity/Dockerfile')
-rw-r--r--scripts/ci_sanity/Dockerfile26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/ci_sanity/Dockerfile b/scripts/ci_sanity/Dockerfile
new file mode 100644
index 0000000000..5b8769e57d
--- /dev/null
+++ b/scripts/ci_sanity/Dockerfile
@@ -0,0 +1,26 @@
+FROM ubuntu:disco-20190718
+
+ENV DEBIAN_FRONTEND="noninteractive"
+ENV ANDROID_HOME="/opt/android"
+
+WORKDIR /src
+
+# Use faster mirrors from Finland
+COPY etc/apt/sources.list /etc/apt
+
+RUN set -eu \
+ && apt-get update\
+ && apt-get dist-upgrade -y
+
+# Base dependencies
+RUN set -eu && apt-get install -y \
+ clang-format-8 \
+ clang-tidy-8 \
+ git \
+ npm \
+ python3-pip
+
+RUN pip3 install cmake_format
+
+# Cleanup
+RUN set -eu && apt-get clean